Loading...
Searching...
No Matches
event::UserEvent Struct Reference

This UserEvent may be used as base valueobject for all concrete events that are triggered because of user interaction. More...

`import "UserEvent.idl";`

Inheritance diagram for event::UserEvent:

## Public Attributes

string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

This UserEvent may be used as base valueobject for all concrete events that are triggered because of user interaction.

Definition at line 19 of file UserEvent.idl.

## Member Data Documentation

## actIpAddr

string event::UserEvent::actIpAddr

ip or device on which user is logged in

Definition at line 21 of file UserEvent.idl.

## actUserName

string event::UserEvent::actUserName

user who triggered event

Definition at line 20 of file UserEvent.idl.

The documentation for this struct was generated from the following file:

- UserEvent.idl